Log4j 1.2.8

## org.apache.log4j.performance
Class SystemTime

    java.lang.Object
      |
      +--org.apache.log4j.performance.SystemTime

public class SystemTime
extends Object

Measures the time required to make a System.currentTimeMillis() and Thread.currentThread().getName() calls.

On an 233Mhz NT machine (JDK 1.1.7B) the System.currentTimeMillis() call takes under half a microsecond to complete whereas the Thread.currentThread().getName() call takes about 4 micro-seconds.

Constructor Summary
`SystemTime()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemTime

    public SystemTime()

Method Detail

### main

    public static void main(String[] args)

Log4j 1.2.8

Copyright 2000-2002 Apache Software Foundation.